org.jetlang.web

## Class AuthHttpHandler<T>

- java.lang.Object
- - org.jetlang.web.AuthHttpHandler<T>

All Implemented Interfaces:
  Handler<T>, HttpHandler<T>

    public class AuthHttpHandler<T>
    extends Object
    implements HttpHandler<T>

### Constructor Summary

Constructors
Constructor and Description
`AuthHttpHandler(HttpHandler<T> target, HttpSecurity<T> security)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle(org.jetlang.fibers.Fiber dispatchFiber, HttpRequest headers, HttpResponse writer, T sessionState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jetlang.web.HttpHandler

`start`

### Constructor Detail

#### AuthHttpHandler

    public AuthHttpHandler(HttpHandler<T> target,
                           HttpSecurity<T> security)

### Method Detail

#### handle

    public void handle(org.jetlang.fibers.Fiber dispatchFiber,
                       HttpRequest headers,
                       HttpResponse writer,
                       T sessionState)

Specified by:
  `handle` in interface `HttpHandler<T>`